#%%global git_date  20230807
#%%global git_hash  dae9ac4be

%global git_ver  3.4.3
%global rel  11
#%%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz
%global src_name  MyGUI3.4.3.tar.gz

Name:           mygui
#Version:	%{git_ver}^%{git_date}g%{git_hash}
Version:	%{git_ver}
Release:	%{rel}%{?dist}
Summary:        Fast, simple and flexible GUI library for Ogre
# UnitTests include agg-2.4, which is under a BSD variant (not built or installed here)
License:        MIT
URL:            http://mygui.info/
Source0:	%{url}/%{src_name}


BuildRequires:  gcc-c++ make cmake
BuildRequires:  freetype-devel desktop-file-utils
BuildRequires:  ois-devel ogre-devel doxygen graphviz
BuildRequires:  libuuid-devel libX11-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  SDL2_image-devel

Requires:       dejavu-sans-fonts


%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast, 
flexible and simple in using. 

%package        devel
Summary:        Development files for MyGUI
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, ois-devel, ogre-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n mygui-MyGUI%{git_ver}
#%%autosetup -n mygui

%build
%cmake	-DMYGUI_RENDERSYSTEM=4 \
	-DMYGUI_BUILD_DEMOS=FALSE \
	-DMYGUI_BUILD_TOOLS=FALSE \
	-DMYGUI_BUILD_PLUGINS=FALSE \
	-DMYGUI_DISABLE_PLUGINS=TRUE \
	-DMYGUI_INSTALL_TOOLS=FALSE \
	-DCMAKE_BUILD_TYPE=Release \
	-DBUILD_SHARED_LIBS=TRUE \
	-DMYGUI_DONT_USE_OBSOLETE=ON
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license COPYING.MIT
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
%autochangelog
